import { GdsElement } from '../../gds-element';
/**
 * @element gds-date-part-spinner
 * @internal
 *
 * A spinner for a date part. Only inteded to be used by the datepicker component.
 */
export declare class GdsDatePartSpinner extends GdsElement {
    #private;
    static formAssociated: boolean;
    value: number;
    length: number;
    min: number;
    max: number;
    displayValue: string;
    protected createRenderRoot(): this;
    connectedCallback(): void;
    focus(options?: FocusOptions | undefined): void;
    render(): any;
    private _refreshDisplayValue;
}
